/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2007-2008. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
({

// Button Labels
OK_BUTTON_LABEL: "OK",
CANCEL_BUTTON_LABEL: "Cancel",
DELETE_BUTTON_LABEL: "Delete",
SAVE_BUTTON_LABEL: "Save",
SAVE_AS_BUTTON_LABEL: "Save As...",
CLOSE_BUTTON_LABEL: "Close",
YES_BUTTON_LABEL: "Yes",
NO_BUTTON_LABEL: "No",
BROWSE_BUTTON_LABEL: "Browse...",
SEARCH_BUTTON_LABEL: "Search",
FILTER_BUTTON_LABEL: "Filter",
OPEN_ALT_LABEL: "Open",

// Table headers
NAME_TABLE_HEADER_LABEL: "Name",
DESCRIPTION_TABLE_HEADER_LABEL: "Description",
TYPE_TABLE_HEADER_LABEL: "Type",
FILENAME: "File Name",
MASTER: "Master",

// Default Filter Text
TYPE_TO_FILTER: "Type to search",

// Button Tooltips
ADD_BUTTON_TOOLTIP: "Add",
REMOVE_BUTTON_TOOLTIP: "Remove",
ADD_USER_BUTTON_TOOLTIP: "Add User",
REMOVE_USER_BUTTON_TOOLTIP: "Remove User",

// Filtering Table
SELECT_LABEL: "Select ",
DESELECT_LABEL: "Deselect ",
SELECT_USER_TOOLTIP: "Select User",
DESELECT_USER_TOOLTIP: "Deselect User",
SELECT_ALL_TOOLTIP: "Select All",
DESELECT_ALL_TOOLTIP: "Deselect All",
SELECT_REPORT_DESIGN_TOOLTIP: "Select Report Design",
SELECT_REPORT_QUERY_TOOLTIP: "Select Report Query",
SELECT_REPORT_SNAPSHOT_TOOLTIP: "Select Report Snapshot",

// Combobox Labels
NO_PARENT_FOLDER_OPTION: "None",

// Login Form
USER_ID_LABEL: "User ID:",
PASSWORD_LABEL: "Password:",

// Report Types
REPORT_ALL: "All",
REPORT_DESIGN: "Report Design",
REPORT_QUERY: "Report Query",	 	
REPORT_SNAPSHOT: "Report Snapshot",
REPORT_DESIGNS: "Report Designs",
REPORT_QUERIES: "Report Queries",	 	
REPORT_SNAPSHOTS: "Report Snapshots",

// Left Navigator Labels
LEFT_NAV_SHOW_MORE_LABEL: "Show More",
LEFT_NAV_SHOW_LESS_LABEL: "Show Less",

// Confirmation Dialog Titles
DELETE_REPORT_DESIGN: "Delete Report Design",
DELETE_REPORT_QUERY: "Delete Report Query",
DELETE_REPORT_SNAPSHOT: "Delete Report Snapshot",
CONFIRMATION: "Confirmation",
ERROR: "Error",
WARNING: "Warning",

// Confirmation Messages
CONFIRMATION_DELETE_FOLDER: "Are you sure you want to delete the report folder?",
CONFIRMATION_DELETE_REPORTS: "Are you sure you want to delete the selected reports?",
CONFIRMATION_DELETE_REPORT_DESIGNS: "Are you sure you want to delete the selected report designs?",
CONFIRMATION_DELETE_REPORT_QUERIES: "Are you sure you want to delete the selected report queries?",
CONFIRMATION_DELETE_REPORT_SNAPSHOTS: "Are you sure you want to delete the selected report snapshots?",
CONFIRMATION_DELETE_REPORT_DESIGN: "Are you sure you want to delete the report design?",
CONFIRMATION_DELETE_REPORT_QUERY: "Are you sure you want to delete the report query?",
CONFIRMATION_DELETE_REPORT_SNAPSHOT: "Are you sure you want to delete the report snapshot?",
CONFIRMATION_REMOVE_REPORT_DESIGN: "Are you sure you want to remove the report design from the folder?",
CONFIRMATION_REMOVE_REPORT_QUERY: "Are you sure you want to remove the report query from the folder?",
CONFIRMATION_REMOVE_REPORT_SNAPSHOT: "Are you sure you want to remove the report snapshot from the folder?",
CONFIRMATION_DELETE_USERS: "Are you sure you want to delete the selected users?",

// Tool Button Tooltips
DOWNLOAD_REPORTS_TOOLTIP: "Download Reports",
DELETE_REPORTS_TOOLTIP: "Delete Reports",
ADD_USERS_TOOLTIP: "Add Users",
DELETE_USERS_TOOLTIP: "Delete Users",

//About Dialog
TITLE_ABOUT_DIALOG: "About", 
LICENSE_ABOUT_DIALOG: "Licensed Materials - Property of IBM Corp.",
DETAILS_ABOUT_DIALOG: "Copyright IBM Corporation and other(s) 2005, 2008. IBM, and Rational are trademarks or registered trademarks of IBM Corporation, in the United States, and other countries, or both.",
BUILD_NUMBER_ABOUT_DIALOG: "Build",

// Add Users Dialog
ADD_USERS_DIALOG_TITLE: "Add Users",
ADD_USERS_TO_GRANT_ACCESS: "Add users to grant access to this Web site.",
ADD_USERS_SEARCH_TEXT: "Search for a user to grant access.",

//Pagination Control 
SHOW_LABEL: "Show: ",
ITEMS_PER_PAGE_LABEL: "Items per page", 
PREVIOUS_LABEL: "Previous",
NEXT_LABEL: "Next",
SELECT_PAGE_SIZE_TOOLTIP: "Select page size",
PREVIOUS_PAGE_TOOLTIP: "Previous page",
NEXT_PAGE_TOOLTIP: "Next page",

//Strings used for ARIA
ARIA_MENU: "Menu",
ARIA_MENUITEM: "Menu Item",
ARIA_TOOLBAR: "Toolbar",
ARIA_BUTTON: "Button",
ARIA_CHECKBOX: "Checkbox",
ARIA_RADIOBUTTON: "Radio Button",
ARIA_DIALOG: "Dialog",
ARIA_TAB: "Tab",
ARIA_COMBOBOX: "Combobox",
ARIA_TABLE: "Table",

//Error in Report folder or design file name
ERROR_FILE_NAME: "A file name cannot have the following characters",
ERROR_FOLDER_NAME: "A folder name cannot have the following characters"
})